Botan 1.10.17

md4_x86_32.cpp
Go to the documentation of this file.
1 /*
2 * MD4 (x86-32)
3 * (C) 1999-2007 Jack Lloyd
4 *
5 * Distributed under the terms of the Botan license
6 */
7
8 #include <botan/md4_x86_32.h>
9
10 namespace Botan {
11
12 /**
13 * MD4 compression function in x86-32 asm
14 * @param digest the current digest
15 * @param input the input block
16 * @param M the message buffer
17 */
18 extern "C" void botan_md4_x86_32_compress(u32bit digest[4],
19 const byte input[64],
20 u32bit M[16]);
21
22 /*
23 * MD4 Compression Function
24 */
25 void MD4_X86_32::compress_n(const byte input[], size_t blocks)
26 {
27 for(size_t i = 0; i != blocks; ++i)
28 {
29 botan_md4_x86_32_compress(digest, input, M);
30 input += hash_block_size();
31 }
32 }
33
34 }
Botan::MD4::digest
SecureVector< u32bit > digest
Definition: md4.h:41
Botan::MD4::M
SecureVector< u32bit > M
Definition: md4.h:36
Botan::byte
unsigned char byte
Definition: types.h:22
Botan::botan_md4_x86_32_compress
void botan_md4_x86_32_compress(u32bit digest[4], const byte input[64], u32bit M[16])
Botan
Definition: algo_base.h:14
Botan::MDx_HashFunction::hash_block_size
size_t hash_block_size() const
Definition: mdx_hash.h:32
Botan::u32bit
unsigned int u32bit
Definition: types.h:32